Debian Bug report logs - #366087
sendmail: should define HASURANDOMDEV on GNU/kFreeBSD

version graph

Package: sendmail; Maintainer for sendmail is Jakub Safarik <jsafarik@ymail.com>; Source for sendmail is src:sendmail.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Fri, 5 May 2006 00:33:05 UTC

Severity: important

Tags: jessie, sid

Found in version sendmail/8.13.6-1

Fixed in version sendmail/8.14.4-5

Done: Andreas Beckmann <anbe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Richard A Nelson (Rick) <cowboy@debian.org>:
Bug#366087; Package sendmail. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Richard A Nelson (Rick) <cowboy@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sendmail: should define HASURANDOMDEV on GNU/kFreeBSD
Date: Fri, 05 May 2006 00:30:42 +0000
Package: sendmail
Version: 8.13.6-1
Severity: important

On GNU/kFreeBSD, /dev/urandom is a symlink to /dev/random.  However, /dev/random
has the standard Linux urandom semantics, therefore making /dev/urandom
acceptable for use by sendmail.  However, without setting HASURANDOMDEV, I have
no ability to use STARTTLS, which I would very much like to use.

Essentially, all you have to do is place the following lines in the appropriate
part of the conf.h file:

#ifndef HASURANDOMDEV
#define HASURANDOMDEV 1
#endif

If you want me to generate a patch, I can, but I thought this would be fairly
trivial to do

Thank you very much.  You have been very helpful WRT GNU/kFreeBSD.

-- System Information:
Debian Release: testing/unstable
  APT prefers experimental
  APT policy: (500, 'experimental'), (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-k7
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)



Tags added: sid Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:16 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:45:56 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 19 Oct 2013 12:00:13 GMT) Full text and rfc822 format available.

Reply sent to Andreas Beckmann <anbe@debian.org>:
You have taken responsibility. (Sun, 16 Feb 2014 00:21:04 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Sun, 16 Feb 2014 00:21:05 GMT) Full text and rfc822 format available.

Message #18 received at 366087-close@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 366087-close@bugs.debian.org
Subject: Bug#366087: fixed in sendmail 8.14.4-5
Date: Sun, 16 Feb 2014 00:19:46 +0000
Source: sendmail
Source-Version: 8.14.4-5

We believe that the bug you reported is fixed in the latest version of
sendmail, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 366087@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <anbe@debian.org> (supplier of updated sendmail package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 16 Feb 2014 00:46:55 +0100
Source: sendmail
Binary: sendmail-bin rmail sensible-mda libmilter1.0.1 libmilter1.0.1-dbg libmilter-dev sendmail-doc sendmail sendmail-base sendmail-cf
Architecture: source all amd64
Version: 8.14.4-5
Distribution: unstable
Urgency: low
Maintainer: Jakub Safarik <jsafarik@ymail.com>
Changed-By: Andreas Beckmann <anbe@debian.org>
Description: 
 libmilter-dev - Sendmail Mail Filter API (Milter)
 libmilter1.0.1 - Sendmail Mail Filter API (Milter)
 libmilter1.0.1-dbg - Sendmail Mail Filter API (Milter)
 rmail      - MTA->UUCP remote mail handler
 sendmail   - powerful, efficient, and scalable Mail Transport Agent
 sendmail-base - powerful, efficient, and scalable Mail Transport Agent
 sendmail-bin - powerful, efficient, and scalable Mail Transport Agent
 sendmail-cf - powerful, efficient, and scalable Mail Transport Agent
 sendmail-doc - powerful, efficient, and scalable Mail Transport Agent
 sensible-mda - Mail Delivery Agent wrapper
Closes: 366087 608525 615477 638952 714184 724772 736982 737164
Changes: 
 sendmail (8.14.4-5) unstable; urgency=low
 .
   * Team upload.
   * Switch from deprecated 'find -perm +xxx' to 'find -perm /xxx'.
     (Closes: #724772)
   * Start sendmail after bind9 (or any other named) if it is installed.
     (Closes: #714184)
   * Update watch file to ignore symbolic links in the ftp directory listing,
     thanks to Masatake YAMATO.  (Closes: #615477)
   * kFreeBSD: Enable HASURANDOMDEV, thanks to Brian M. Carlson.
     (Closes: #366087)
   * Really fix FTBFS on HURD, thanks to Samuel Thibault.  (Closes: #608525)
   * Update logcheck patterns to match high precision timestamps, thanks to
     Ralf Döblitz  (Closes: #638952)
   * conf.c-ipv6.patch: Fix A-only MX CNAME interface binding issues when using
     IPv6, thanks to David F. Skoll.  (Closes: #737164) (LP: #1223633)
   * debian/*/Makefile.am: Recover from Makefile.in.
   * debian/rules: refresh-debian-configure: Refresh all Makefile.in, too.
   * debian/build/: Update automake helper scripts to automake 1.14.
   * debian/configure.ac: Fix libdb-dev autodetection.
   * Simplify managing the bug control files.
   * Let dh_lintian install the overrides.
   * Simplify managing generated control files by placing the templates
     directly in debian/.
   * sendmail-base.postrm: Do not mess with conffiles and other shipped files
     during purge.  (Closes: #736982)
   * Switch to debhelper compat level 9.
   * Use source format 3.0 (quilt).
   * Fix some problems reported by lintian.
   * Update Lintian overrides.
Checksums-Sha1: 
 f58416862ea7bfa10bb6bfa105c462e499d0f961 2530 sendmail_8.14.4-5.dsc
 6a14c38882883b3fc067b24014062fdb1a3b07a0 273656 sendmail_8.14.4-5.debian.tar.xz
 b6c1699cbdb530eeafdd03d1d020cc62c1712445 830582 sendmail-doc_8.14.4-5_all.deb
 8ebcce7d932b9885c3f77b30c05b3c8824e4d6ec 215528 sendmail_8.14.4-5_all.deb
 df70f7715fbb1b4b38ca4ab1ed27c13017c2d5de 337042 sendmail-base_8.14.4-5_all.deb
 6aa5b39db297c93645dbf3f19469ffce396e4edc 284608 sendmail-cf_8.14.4-5_all.deb
 b5e73491a085f270f9aa7d8a3d33f5efadc4d4aa 668196 sendmail-bin_8.14.4-5_amd64.deb
 627e306fca1d37b5635fab9a7733a0f8d546f359 244274 rmail_8.14.4-5_amd64.deb
 c4308b192bcfb4773d16f61c09ed37ce61a54f05 217656 sensible-mda_8.14.4-5_amd64.deb
 578164c056b7da7c76f3d94f9d3aa8073c44fd3a 236400 libmilter1.0.1_8.14.4-5_amd64.deb
 f1e84a66b75d76ffa79077d7734bbc3c1ba227f5 2183134 libmilter1.0.1-dbg_8.14.4-5_amd64.deb
 1f42eb76f161dbdec4c0a6b980cdbcfc3fbeff3d 303216 libmilter-dev_8.14.4-5_amd64.deb
Checksums-Sha256: 
 7dbd777539e8fded5b34ea8e56a40322fbb5386e1ae1e4199d51a17d84032290 2530 sendmail_8.14.4-5.dsc
 dc5d6968035e963df88568f4065884f9ee86942abcde8d1a75246c4c4c9b0777 273656 sendmail_8.14.4-5.debian.tar.xz
 363610f898dd47f0ac2e73bf756c32866f3c7e8d792f4ef64e9bc5292ba995cc 830582 sendmail-doc_8.14.4-5_all.deb
 16540ae69ce453127dc51ba97bb5d027dbe47e863330af2f437d061d2d36734c 215528 sendmail_8.14.4-5_all.deb
 acd620a210ebe9dda7f85c552c0d35232bd45c52ede799d4a1c24278d275455b 337042 sendmail-base_8.14.4-5_all.deb
 839aabd1f3ee370cc2b75cdbf5e826cf8b1740b9c708750ba451db1421ccb032 284608 sendmail-cf_8.14.4-5_all.deb
 edf1443f2029642bea39bc8e9cd2bb4a4a4b443dd0ba812f33929ac5299d25a2 668196 sendmail-bin_8.14.4-5_amd64.deb
 1b948640eab6e0de07c67228356bf565ad9f6c226e6c9910352b352d634f1ed3 244274 rmail_8.14.4-5_amd64.deb
 900dfd3748745f6d2f3dbbc62605b5768870237ca5c048de6735ab7cf86878ee 217656 sensible-mda_8.14.4-5_amd64.deb
 a9856dce312a77920a8b004febadd465b7f1827876a0293d7b0424b9f17de3c5 236400 libmilter1.0.1_8.14.4-5_amd64.deb
 deb7556e4e6f63a059fce0ad7db7bd254ad5d19b22d5e9ea45bddd4858974317 2183134 libmilter1.0.1-dbg_8.14.4-5_amd64.deb
 6a08b8bca7a43cd80785f8b030d4b91ca916e71f0b572771cd3b467a7184d133 303216 libmilter-dev_8.14.4-5_amd64.deb
Files: 
 b1ddcb8336a68a1a0e227e0ddec71726 2530 mail extra sendmail_8.14.4-5.dsc
 21ed6ce04c6b0e453d9d48e00751df19 273656 mail extra sendmail_8.14.4-5.debian.tar.xz
 e6f3db86b319b0f6d3a3d179a55d85e9 830582 doc extra sendmail-doc_8.14.4-5_all.deb
 c4820f87aa7461d818c74e18ade6305e 215528 mail extra sendmail_8.14.4-5_all.deb
 30058b32b54709f11aff4a1783031339 337042 mail extra sendmail-base_8.14.4-5_all.deb
 c0244b62fad5ccaa15daa591b91c64e1 284608 mail extra sendmail-cf_8.14.4-5_all.deb
 29121a61c1070cfb8dbb69b598cd0c03 668196 mail extra sendmail-bin_8.14.4-5_amd64.deb
 ce3961f35171980b4894a2082fa2710d 244274 mail extra rmail_8.14.4-5_amd64.deb
 e97ea5ed839420e09ce35a2f95d41395 217656 mail extra sensible-mda_8.14.4-5_amd64.deb
 858f1c5cbdd7e04b58728c0161bdde92 236400 libs extra libmilter1.0.1_8.14.4-5_amd64.deb
 1833248a83b42b28aed5066177db577e 2183134 debug extra libmilter1.0.1-dbg_8.14.4-5_amd64.deb
 c4ac5adbfee593716dd6129aba403eeb 303216 libdevel extra libmilter-dev_8.14.4-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJTAAD3AAoJEF+zP5NZ6e0IC6QP/1YdNaEz0g9iFMjGMLhl0Jah
MbNI+pf2Jw739AlQ1H5o2jdPN/b9QtQYXKDLoMx5yW/rlZb+7nD2je/Tt7S9Y8kg
Qd4ua3HeKJoueg3lWLIDtzU+lb04aecMKha3v8XQLsJllr7ONGXd4Vrhjw3WrQXY
JLhOk6fhbpBqpskzIeC9DS38r2S7Hu9+hQI9VWuV8Kqh/sm9nbcXOHQiLyNjtRjX
4ObEeWUu9aAoGcQqKp76Kc4PP9OXxS0gm/iqmMVtfOnIMugc/7AUShBxxH3dd+bp
4cSkJ3yXL/PhEigjmf+rrp/dyWx6uPeuEZ8IUAelLTqguGSwrtoe41cNxavg+UC5
PUbp+tASLrU8NksMbmGuQ0frKdsgfc1XeVNP4WVI0b97AyEhkzvT6fYXXA93aHgD
ywh/FSeOeQCV3EcOgTdy3CseY2YpbZzRG4NaXDtA8m6EolWFBRZL0n5huybrajUs
vxOf6nA+kZX9CFgcw8t1jhkvVRxH6dtkNuCAFXvf43RQ7/c79ndsi+B9c4DCYqyx
p/I+H+MrRdW7y0EIIpKBxe1g3g6ppEIo95oPni2gpKG6n1OMZuVXF4WI7EjUcv2r
mX4C4m4bgMnVMMXs1NnmFGXxP41padC2n/6/pCJPQWEGDQMREmv6irjFmM2VlRsU
6koHvjYRqRTmXXvB412i
=3o96
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Mar 2014 07:34:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:05:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.